type: prog

niveau: base

titre: Grandeur Rectangle -3-
uuid: 9354e322-f4a1-421d-89ff-67f8529f7b55

objectif: Utiliser des fonctions avec retour de valeur pour déterminer le périmètre et l'aire d'un rectangle

énoncé: |
  On souhaite déterminer le `périmètre` et l'`aire` d'un rectangle dont les côtés `largeur` et `longueur` sont reçus en entrée dans le **programme principal**.

  On utilisera deux fonctions `périmètre(entier, entier)` et `aire(entier, entier)`, chacune effectue le calcul respectif et **retourne** le résultat au programme principal.

  La `largeur` et la `longueur` du rectangle sont **transmis en paramètres** aux fonctions, appelées dans le programme principal.

  La sortie des résultats est effectuée dans le programme principal.


  ### Entrées

  - `largeur`  : La largeur en mètre du rectangle (nombre entier)
  - `longueur` : La longueur en métre du rectangle (nombre entier)

  ### Sorties attendues

  Le `périmètre` et l'`aire` du rectangle (nombres entiers)

  ### À faire

  Compléter le code qui produit en sortie le `périmètre` (en mètre) et ensuite l'`aire` du rectangle (en mètre carré), chacun sur une ligne et sans unités.

  ### Exemples
  1. Périmètre et aire d'un petit rectangle

   - Entrées :
  ```
      1
      1

  ```

   - Sortie attendue :
  ```
     4
     1

  ```
  2. Périmètre et aire d'un rectangle

   - Entrées :
  ```
      10
      20

  ```

   - Sortie attendue :
  ```
     60
     200

  ```
ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Bravo !
    négative: |
      Définir et appeler chacune des deux fonctions qui recoivent en paramètre les côtés du rectangle (largeur et longueur), calculent et RETOURNENT le résultat au programme principal !

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA

